import { DocumentLabelerOutputDataDto } from '../../common/types/DocumentLabelerTypes';
import React from 'react';
export declare type BBConfigurations = {
    displayOnly?: boolean;
    hideSaveButton?: boolean;
    saveActionButtonText?: string;
    fieldDisplayNameFormatter?: (fieldName: string) => string;
    onLabelUpdate?: (docInfo: DocumentLabelerOutputDataDto) => void;
    onSaveCallback: (data: DocumentLabelerOutputDataDto) => void;
};
declare type Props = {
    config: BBConfigurations;
};
/**
 * Provider used to share the configuration object to it's children (Document Labeler)
 * @returns
 */
export declare const BBConfigurationProvider: React.FC<Props>;
export declare const useBBConfiguration: () => BBConfigurations;
export {};
