import { SetActiveFieldAction } from './ActiveFieldReducerUtils';
import { AddBlockToActiveFieldAction, RemoveBlockFromFieldAction } from './BlockReducerUtils';
import { DocumentLabelerInternalState } from './DocumentLabelerState';
import { AddRowToTableAction, RemoveAllBlocksFromFieldAction, RemoveRowFromTableAction, SetTableCellTextOverrideAction, SetTextFieldOverrideAction } from './FieldReducerUtils';
import { AddRegionToActiveFieldAction, ClearRegionFromFieldAction } from './RegionReducerUtils';
declare type DocumentLabelerDispatchAction = SetActiveFieldAction | AddBlockToActiveFieldAction | RemoveBlockFromFieldAction | AddRegionToActiveFieldAction | ClearRegionFromFieldAction | RemoveAllBlocksFromFieldAction | SetTextFieldOverrideAction | SetTableCellTextOverrideAction | AddRowToTableAction | RemoveRowFromTableAction;
export declare type DocumentLabelerDispatch = (action: DocumentLabelerDispatchAction) => void;
/**
 * Reducer for handling new state generation in response
 * to a new action with a current state.
 */
export declare const documentLabelerReducer: (state: DocumentLabelerInternalState, action: DocumentLabelerDispatchAction) => DocumentLabelerInternalState;
export {};
